<?xml version="1.0" encoding="UTF-8"?>
<connector xmlns="http://geronimo.apache.org/xml/ns/j2ee/connector"
    version="1.5"
    configId="org/codehause/activemq/DefaultRA"
    parentId="org/apache/geronimo/ActiveMQServer">
    <resourceadapter>
        <resourceadapter-instance>
            <resourceadapter-name>SampleActiveMQResourceAdapter</resourceadapter-name>
            <config-property-setting name="ServerUrl">tcp://localhost:61616</config-property-setting>
            <workmanager-name>DefaultWorkManager</workmanager-name>
        </resourceadapter-instance>
        <outbound-resourceadapter>
            <connection-definition>
                <connectionfactory-interface>javax.jms.ConnectionFactory</connectionfactory-interface>
                <connectiondefinition-instance>
                    <name>SampleActiveMQConnectionFactory</name>
                    <implemented-interface>javax.jms.QueueConnectionFactory</implemented-interface>
                    <implemented-interface>javax.jms.TopicConnectionFactory</implemented-interface>
                    <connectionmanager>
                        <xa-transaction>
                            <transaction-caching/>
                        </xa-transaction>
                        <single-pool>
                            <max-size>10</max-size>
                            <blocking-timeout-milliseconds>5000</blocking-timeout-milliseconds>
                            <match-one/>
                        </single-pool>
                    </connectionmanager>
                    <global-jndi-name>jms/SampleActiveMQConnectionFactory</global-jndi-name>
                    <credential-interface>javax.resource.spi.security.PasswordCredential</credential-interface>
                </connectiondefinition-instance>
            </connection-definition>
        </outbound-resourceadapter>
    </resourceadapter>
    <adminobject>
        <adminobject-interface>javax.jms.Queue</adminobject-interface>
        <adminobject-class>org.codehaus.activemq.message.ActiveMQQueue</adminobject-class>
        <adminobject-instance>
            <message-destination-name>MDBTransferBeanOutQueue</message-destination-name>
            <config-property-setting name="PhysicalName">MDBTransferBeanOutQueue</config-property-setting>
        </adminobject-instance>
    </adminobject>
    <adminobject>
        <adminobject-interface>javax.jms.Queue</adminobject-interface>
        <adminobject-class>org.codehaus.activemq.message.ActiveMQQueue</adminobject-class>
        <adminobject-instance>
            <message-destination-name>SendReceiveQueue</message-destination-name>
            <config-property-setting name="PhysicalName">SendReceiveQueue</config-property-setting>
        </adminobject-instance>
    </adminobject>
</connector>